Package org.xnio

# Interface Cancellable

All Known Subinterfaces:
  `IoFuture<T>`

All Known Implementing Classes:
  `AbstractConvertingIoFuture`, `AbstractIoFuture`, `FailedIoFuture`, `FinishedIoFuture`

public interface Cancellable
An operation which may be cancelled.

## Method Summary

Modifier and Type
Method
Description
`Cancellable`
`cancel()`
Cancel an operation.

## Method Details

### cancel

Cancellable cancel()
Cancel an operation. The actual cancel may be synchronous or asynchronous.

Returns:
  this instance